/usr/sbin/vdispatch-conf is in util-vserver 0.30.216-pre2864-2ubuntu1.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 | #!/bin/bash
# $Id: vdispatch-conf 2635 2007-11-17 23:52:59Z hollow $
# Copyright (C) 2006 Benedikt Boehm <hollow@gentoo.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
: ${UTIL_VSERVER_VARS:=/usr/lib/util-vserver/util-vserver-vars}
test -e "$UTIL_VSERVER_VARS" || {
echo $"Can not find util-vserver installation (the file '$UTIL_VSERVER_VARS' would be expected); aborting..." >&2
exit 1
}
. "$UTIL_VSERVER_VARS"
. "$_LIB_FUNCTIONS"
function showHelp()
{
echo \
$"Usage: $0 <vserver-name>* [--all] -- <params>+
Report bugs to <$PACKAGE_BUGREPORT>."
exit 0
}
function showVersion()
{
echo \
$"vdispatch-conf $PACKAGE_VERSION -- dispatch-conf for vservers
This program is part of $PACKAGE_STRING
Copyright (C) 2006 Benedikt Boehm
This program is free software; you may redistribute it under the terms of
the GNU General Public License. This program has absolutely no warranty."
exit 0
}
tmp=$(getopt -o +q --long help,version,debug,quiet,all -n "$0" -- "$@") || exit 1
eval set -- "$tmp"
declare -a send_through vsomething_opts
while true; do
case "$1" in
(--help) showHelp $0 ;;
(--version) showVersion ;;
(--debug) send_through=( "${send_through[@]}" "$1" ); set -x;;
(--quiet|-q) send_through=( "${send_through[@]}" "$1" );;
(--all) vsomething_opts=( "${vsomething_opts[@]}" "$1" );;
(--) test ${#vsomething_opts[@]} -eq 0 && shift; break;;
(*) echo $"vdispatch-conf: internal error; arg=='$1'" >&2; exit 1;;
esac
shift
done
declare -a vserver_names
while [ $# -gt 0 ]; do
case "$1" in
(--) shift; break;;
(*) vserver_names=( "${vserver_names[@]}" "$1" );;
esac
shift
done
VSOMETHING_TITLE=vdispatch-conf
VSOMETHING_PKGMGMT=1
export VSOMETHING_TITLE VSOMETHING_PKGMGMT
exec $_VSOMETHING "${send_through[@]}" dispatch-conf "${vsomething_opts[@]}" "${vserver_names[@]}" -- "$@"
|